#!/bin/bash

pkgname="curl"
pkgver="7.62.0"

src="https://curl.haxx.se/download/curl-${pkgver}.tar.gz"

prepare () {
    [ -f "${pkgname}-src.tar.gz" ] || curl -o "${pkgname}-src.tar.gz" "${src}"
    tar -C "${srcdir}" -xvf "${pkgname}-src.tar.gz"
}

build () {
    cd "${srcdir}/curl-${pkgver}"
    mkdir build && cd build

    ../configure \
        --prefix=/usr \
        --mandir=/usr/share/man \
        --with-random=/dev/urandom \
        --with-ssl \
        --with-zlib \
        --enable-versioned-symbols \
        --enable-threaded-resolver \
        --disable-ldap \
        --disable-ldaps \
        --without-libidn2 \
        --without-rtmp \
        --without-libmetalink \
        --without-libpsl \
        --without-gssapi \
        --without-ssl

    # TODO: figure out why compiling with SSL is broken.
    #       when SSL is enabled, libtool tries to open
    #       /usr/lib/libcrypto.la (which is not present or
    #       rather not meant to be used at all by this build
    #       process). I wasted 2 hours on debugging this.

    make
}

package () {
    cd "${srcdir}/curl-${pkgver}/build"

    make DESTDIR="${pkgdir}" install
    make DESTDIR="${pkgdir}" install -C scripts
}

. ../common.sh
