#!/bin/bash

pkgname="openrc"
pkgver="0.39.2"

src="https://github.com/OpenRC/openrc/archive/${pkgver}.tar.gz"

prepare () {
    [ -f "${pkgname}-src.tar.gz" ] || curl -L -o "${pkgname}-src.tar.gz" "${src}"
    tar -C "${srcdir}" -xvf "${pkgname}-src.tar.gz"
}

build () {
    cd "${srcdir}/openrc-${pkgver}"

    for p in "${wd}"/patches/*.patch; do
        patch -u -p0 < "${p}"
    done

    make \
        BRANDING=\"GNU/Linux\"
}

package () {
    cd "${srcdir}/openrc-${pkgver}"
    make DESTDIR="${pkgdir}" install
}

. ../common.sh
